new installation errors on centos 8

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

tgidevops
Posts: 8
Joined: Tue Oct 27, 2020 4:49 am

Re: new installation errors on centos 8

Post by tgidevops » Wed Nov 18, 2020 10:38 am

Yes it works with latest version, the error did not show up and installation completed.

Thanks

maschoff
Site Admin
Posts: 2493
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Wed Nov 18, 2020 10:55 am

Great, thanks for your confirmation!
OpenEMM Maintainer

1100101
Posts: 3
Joined: Thu Oct 29, 2020 4:49 pm

Re: new installation errors on centos 8

Post by 1100101 » Mon Jan 11, 2021 3:13 pm

@ tgidevops: thanks for taking over; i didnt get any notification because the forum messages are gone directly into spam.

it worked for me with the new version too!

Kittlitz
Posts: 24
Joined: Sun Jan 31, 2021 11:34 am

Re: new installation errors on centos 8

Post by Kittlitz » Sun Jan 31, 2021 3:53 pm

Hello,

I've followed the instrucitons of the manual and most of the installation looks good. But for some reasons the OpenEMM-Database structure is missing.
I've deleted "etc/dbcfg" again and tried to repeat the setup-routing for the Database-Access, hoping that this would help, but that failed.

I would be thankful for a hint, how to setup this missing Information,

best regards


Michael Kittlitz

---- THE Output of the Tools ----

=============================================
= OpenEMM Maintenance Tool (OMT) v20.10.070 =
=============================================
Root mode: On
Host: [...]-centos-8gb-nbg1-1
Runtime Version: 20.10.070
System-Url: Unknown
OpenEMM Backend Version: Unknown

Current menu: Show OpenEMM status

OpenEMM status:
Operating System (OS): CentOS 8
Python version: 3.8.3 (default, Aug 31 2020, 16:03:14) [GCC 8.3.1 20191121 (Red Hat 8.3.1-5)]
Postfix Version: 3.3.1
DB client version: /usr/bin/mysql Ver 15.1 Distrib 10.3.27-MariaDB, for Linux (x86_64) using readline 5.1
Database Connection: OK
System-Time: 2021-01-30 19:09:31
System-Time-DB: 2021-01-30 19:09:31
Database version: MariaDB 10.3.27-MariaDB
OpenEMM database structure does NOT exist
Currently running database threads ratio (Current: 6, Maximum: 1): 6.0
Java version: 11.0.9.1 (Oracle)
Tomcat version: 9.0.33.0
Tomcat-Native version: 1.2.23
Wkhtml version: wkhtmltopdf 0.12.6 (with patched qt)
OpenEMMApplication is NOT running


=== THE ./OpenEMMInstaller.sh === shows pretty much the same information

=============================================
= OpenEMM Maintenance Tool (OMT) v20.10.070 =
=============================================
Root mode: On
Host: [...]-centos-8gb-nbg1-1
Runtime Version: 20.10.070
System-Url: Unknown
OpenEMM Backend Version: Unknown

DB structure does not exist. (Maybe OpenEMM is not installed)
Mandatory emmProperties file is missing (Maybe OpenEMM is not installed)

Current menu: Main

Please choose (Blank => Quit):
1. Show OpenEMM status
2. Configuration
3. Database Maintenance
4. Security
5. Install or update package from AGNITAS Website
6. Install or update package from local file
7. Install or update package from AGNITAS Cloud
8. Show update history
9. Switch OpenEMM version
10. Restart OpenEMM
(Send configuration and log files in email) not available
0. Quit
> 0

maschoff
Site Admin
Posts: 2493
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Sun Jan 31, 2021 4:31 pm

Looks like you have not installed OpenEMM itsself yet (via menu 5).
OpenEMM Maintainer

Kittlitz
Posts: 24
Joined: Sun Jan 31, 2021 11:34 am

Re: new installation errors on centos 8

Post by Kittlitz » Sun Jan 31, 2021 8:45 pm

I did run Option 5 before - with the same result:

=============================================
= OpenEMM Maintenance Tool (OMT) v20.10.070 =
=============================================
Root mode: On
Host:[...]-centos-8gb-nbg1-1
Runtime Version: 20.10.070
System-Url: Unknown
OpenEMM Backend Version: Unknown

Current menu: Install or update package from AGNITAS Website

OpenEMM Update via AGNITAS Website
Download and install latest packages (only openemm-package needs root permissions for OMT)? (N/y, Blank => Cancel):
> Y
Starting OpenEMM Update ...

Package contains application type 'Runtime' of version '20.10.070'.
Your current version is '20.10.070'.
This is the same version.
Install anyway? (N/y, Blank => Cancel):
> y
Download started
[******************************************************************************]
4,595,500 of 4,595,500 Bytes (100%)
Download finished
To let the new Runtime version take effect, you must exit and restart this program!
Do you want to exit and restart now? (Y/n, Blank => Exit):

--> Restarting leads to the same result.

maschoff
Site Admin
Posts: 2493
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: new installation errors on centos 8

Post by maschoff » Sun Jan 31, 2021 8:50 pm

It is not enough to install the runtime, you also have to install OpenEMM itsself. But if you always install the runtime again you can never get to the next step where you can install OpenEMM.
OpenEMM Maintainer

Kittlitz
Posts: 24
Joined: Sun Jan 31, 2021 11:34 am

Re: new installation errors on centos 8

Post by Kittlitz » Mon Feb 01, 2021 9:49 am

Well, as you may have noticed, I have send TWO diffent Screenshot.

One by starten OMT.sh like stated on Page 25 of your Manual:

5.3 OpenEMM Deployment
For the deployment of the openemm code tarball you have to start OMT as user root,
because some files of the tarball have to be deployed with root permissions:
$ sudo su -
# /home/openemm/bin/OMT.sh

and then chosen Menu option 5

=============================================
= OpenEMM Maintenance Tool (OMT) v20.10.070 =
=============================================
Root mode: On
Host: axc-openemm-centos-8gb-nbg1-1
Runtime Version: 20.10.070
System-Url: Unknown
OpenEMM Backend Version: Unknown

Current menu: Install or update package from AGNITAS Website

OpenEMM Update via AGNITAS Website
Download and install latest packages (only openemm-package needs root permissions for OMT)? (N/y, Blank => Cancel):
> y
Starting OpenEMM Update ...

Package contains application type 'Runtime' of version '20.10.070'.
Your current version is '20.10.070'.
This is the same version.
Install anyway? (N/y, Blank => Cancel):
>

Which actually is a CATCH 22 - as I've already descripted, that this says it's the same version and then wants to Restart, which I always did.

Now I tried something else: Ignoring the RESTART-Suggestion, which then leads to this result.

OpenEMM Update via AGNITAS Website
Download and install latest packages (only openemm-package needs root permissions for OMT)? (N/y, Blank => Cancel):
> y
Starting OpenEMM Update ...

Package contains application type 'Runtime' of version '20.10.070'.
Your current version is '20.10.070'.
This is the same version.
Install anyway? (N/y, Blank => Cancel):
> y
Download started
[******************************************************************************]
4,595,500 of 4,595,500 Bytes (100%)
Download finished
To let the new Runtime version take effect, you must exit and restart this program!
Do you want to exit and restart now? (Y/n, Blank => Exit):
> n

Package contains application type 'Apache Tomcat' of version '9.0.33'.
Your current version is '9.0.33'.
This is the same version.
Install anyway? (N/y, Blank => Cancel):
> y
Download started
[******************************************************************************]
11,027,411 of 11,027,411 Bytes (100%)
Download finished

Package contains application type 'Apache Tomcat Native' of version '1.2.23'.
Your current version is '1.2.23'.
This is the same version.
Install anyway? (N/y, Blank => Cancel):
> y
Download started
[******************************************************************************]
1,125,858 of 1,125,858 Bytes (100%)
Download finished

Found update package 'openemm-code-20.10.000.126.tar.gz' for application 'OpenEMM' with version '20.10.000.126'.
Your current version is 'None'.
Continue with update? (Y/n, Blank => Yes):
> y
Download started
[******************************************************************************]
204,346,994 of 204,346,994 Bytes (100%)
Download finished

Package contains new application 'OpenEMM'
Initially install this application? (N/y, Blank => Cancel):
> Y
Creating basic database structure ...
Executing database structure updates ...

DB already contains version 20.01.368
DB already contains version 20.01.392
DB already contains version 20.01.402
DB already contains version 20.01.407
DB already contains version 20.01.476
DB already contains version 20.01.545
DB already contains version 20.01.570
DB already contains version 20.01.596
DB already contains version 20.01.618
DB already contains version 20.04.011
DB already contains version 20.04.071
DB already contains version 20.04.074
DB already contains version 20.04.087
DB already contains version 20.04.177
DB already contains version 20.04.178
DB already contains version 20.04.205
DB already contains version 20.04.250
DB already contains version 20.04.272
DB already contains version 20.04.295
DB already contains version 20.04.300
DB already contains version 20.04.320
DB already contains version 20.04.331
DB already contains version 20.04.360
DB already contains version 20.04.366
DB already contains version 20.04.394
DB already contains version 20.04.419
DB already contains version 20.04.449
DB already contains version 20.04.450

Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-messages.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-messages-deleted.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-messages-openemm.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-18.10.490.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-19.10.000.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-19.10.404.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.016-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.019.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.020-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.053-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.054-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.058-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.064-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.101-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.102-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.104-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.110-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.119-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.132-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.133-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.225-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.229-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.283-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.284-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.381-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.383.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.489-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.07.492-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.006-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.007-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.014-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.026-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.027-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.036-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.037-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.116-basic.sql
Executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.120-basic.sql
ERROR 1091 (42000) at line 45: Can't DROP FOREIGN KEY `lock$cust_ban_tbl`; check that it exists
Error while executing /home/openemm/webapps/emm/WEB-INF/sql/mysql/emm-mysql-update-20.10.120-basic.sql
DB update finished

Package contains new application 'Statistics'
Initially install this application? (N/y, Blank => Cancel):

=> This and all following question answered with YES leads to this result:

=============================================
= OpenEMM Maintenance Tool (OMT) v20.10.070 =
=============================================
Root mode: On
Host: axc-openemm-centos-8gb-nbg1-1
Runtime Version: 20.10.070
System-Url: Unknown
OpenEMM Backend Version: Unknown

OpenEMM runtime was updated
Update package file 'openemm-runtime-20.10.070.tar.gz' successfully deployed.
For logs see '/home/openemm/release/log/update_2021-02-01_09-44-47.log'
Update package file 'apache-tomcat-9.0.33.tar.gz' successfully deployed.
For logs see '/home/openemm/release/log/update_2021-02-01_09-44-47.log'
Update package file 'apache-tomcat-native-1.2.23-CentOS8.tar.gz' successfully deployed.
For logs see '/home/openemm/release/log/update_2021-02-01_09-44-47.log'
Update package file 'openemm-code-20.10.000.126.tar.gz' successfully deployed.
For logs see '/home/openemm/release/log/update_2021-02-01_09-44-47.log'

Current configuration changes or updates need the OpenEMM system to be restarted.

Current menu: Main

Please choose (Blank => Quit):
1. Show OpenEMM status
2. Configuration
3. Database Maintenance
4. Security
5. Install or update package from AGNITAS Website
6. Install or update package from local file
7. Install or update package from AGNITAS Cloud
8. Show update history
9. Switch OpenEMM version
10. Restart OpenEMM
11. Send configuration and log files in email
0. Quit
>

===> LESSONS LEARNED:
Your hints are misleading.
Maybe you would like to add the information that on the first setup, this shall not be done?
Or if there is no Database, your tool does not even show this hints.

Thank you for your help.
Without you fingertip, I would not have tried a different answer on the menu.

Post Reply